FruxonDocs
ApiSkills

Creates a new skill.

POST
/v1/tenants/{tenant}/skills

Path Parameters

tenant*string

The tenant identifier

The skill definition to create.

id*string
Length1 <= length
displayName*string
Length1 <= length
description*string
Length1 <= length
instructions?string|null
tools?|null
resources?|null
[key: string]?never

Response Body

curl -X POST "https://api.fruxon.com/v1/tenants/string/skills" \  -H "Content-Type: application/json" \  -d '{    "id": "string",    "displayName": "string",    "description": "string"  }'
{
  "id": "string",
  "displayName": "string",
  "description": "string",
  "instructions": "string",
  "tools": [
    {
      "integrationId": "string",
      "id": "string"
    }
  ],
  "resources": [
    {
      "assetId": "string",
      "description": "string",
      "vectorized": false
    }
  ],
  "type": 0,
  "createdAt": 0,
  "modifiedAt": 0
}
Empty
Empty